/* $FreeBSD: projects/efika_mx/sys/dev/spibus/spi.h 239626 2012-08-23 22:38:37Z imp $ */

struct spi_command {
	void	*tx_cmd;
	uint32_t tx_cmd_sz;
	void	*rx_cmd;
	uint32_t rx_cmd_sz;
	void	*tx_data;
	uint32_t tx_data_sz;
	void	*rx_data;
	uint32_t rx_data_sz;
};

struct spi_xfer {
	size_t	size;		/* Transfer size (bytes) */
	void	*tx_buf;	/* Buffer with TX data (NULL to not tx) */
	void	*rx_buf;	/* Buffer for RX data (NULL for ignore) */
};


#define	SPI_CHIP_SELECT_HIGH	0x1		/* Chip select high (else low) */
