#define	IMX_SPI_RXDATA	0x0000
#define	IMX_SPI_TXDATA	0x0004
#define	IMX_SPI_CTRL	0x0008
#define		IMX_SPI_CTRL_BRSTLEN_SHIFT	20
#define		IMX_SPI_CTRL_BRSTLEN_MASK	0xfff00000
#define		IMX_SPI_CTRL_CHAN_SHIFT		18
#define		IMX_SPI_CTRL_CHAN_MASK		0x000c0000
#define		IMX_SPI_CTRL_DRCTL_NONE		(0 << 16)
#define		IMX_SPI_CTRL_DRCTL_RDYFL	(1 << 16)
#define		IMX_SPI_CTRL_DRCTL_RDYRS	(2 << 16)
#define		IMX_SPI_CTRL_DRCTL_RSV		(3 << 16)
#define		IMX_SPI_CTRL_PRE_DIV_SHIFT	12
#define		IMX_SPI_CTRL_PRE_DIV_MASK	0x0000f000
#define		IMX_SPI_CTRL_POST_DIV_SHIFT	8
#define		IMX_SPI_CTRL_POST_DIV_MASK	0x00000f00
#define		IMX_SPI_CTRL_MASTER_CH(_c)	(1 << (4 + (_c)))
#define		IMX_SPI_CTRL_MASTER_CH_MASK	0x000000f0
#define		IMX_SPI_CTRL_SMC		(1 << 3)
#define		IMX_SPI_CTRL_XCH		(1 << 2)
#define		IMX_SPI_CTRL_HW			(1 << 1)
#define		IMX_SPI_CTRL_EN			(1 << 0)

#define	IMX_SPI_CFG	0x000C
#define		IMX_SPI_CFG_HT_LEN_SHIFT	24
#define		IMX_SPI_CFG_HT_LEN_MASK		0x1f000000
#define		IMX_SPI_CFG_CH0_SCLK_CTL(_c)	(1 << (20 + (_c)))
#define		IMX_SPI_CFG_CH0_DATA_CTL(_c)	(1 << (16 + (_c)))
#define		IMX_SPI_CFG_CH0_SSB_POL(_c)	(1 << (12 + (_c)))
#define		IMX_SPI_CFG_CH0_SSB_CTRL(_c)	(1 << (8 + (_c)))
#define		IMX_SPI_CFG_CH0_SCLK_POL(_c)	(1 << (4 + (_c)))
#define		IMX_SPI_CFG_CH0_SCLK_PHA(_c)	(1 << (0 + (_c)))

#define	IMX_SPI_INT	0x0010
#define		IMX_SPI_INT_TCEN		(1 << 7)
#define		IMX_SPI_INT_ROEN		(1 << 6)
#define		IMX_SPI_INT_RFEN		(1 << 5)
#define		IMX_SPI_INT_RDREN		(1 << 4)
#define		IMX_SPI_INT_RREN		(1 << 3)
#define		IMX_SPI_INT_TFEN		(1 << 2)
#define		IMX_SPI_INT_TDREN		(1 << 1)
#define		IMX_SPI_INT_TEEN		(1 << 0)

#define	IMX_SPI_DMA	0x0014
/* TODO */

#define	IMX_SPI_STS	0x0018
#define		IMX_SPI_STS_TC		(1 << 7)
#define		IMX_SPI_STS_RO		(1 << 6)
#define		IMX_SPI_STS_RF		(1 << 5)
#define		IMX_SPI_STS_RDR		(1 << 4)
#define		IMX_SPI_STS_RR		(1 << 3)
#define		IMX_SPI_STS_TF		(1 << 2)
#define		IMX_SPI_STS_TDR		(1 << 1)
#define		IMX_SPI_STS_TE		(1 << 0)

#define	IMX_SPI_PERIOD	0x001C
/* TODO */
#define	IMX_SPI_TEST	0x0020
/* TODO */
#define	IMX_SPI_MSGDATA	0x0040


